Bug 1307212 - [DOCS] [3.2] Document Global Proxy Settings and Docker Daemon Proxy Settings
[DOCS] [3.2] Document Global Proxy Settings and Docker Daemon Proxy Settings
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation (Show other bugs)
3.1.0
Unspecified Unspecified
high Severity low
: ---
: ---
Assigned To: Alex Dellapenta
Meng Bo
Vikram Goyal
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-13 00:26 EST by Vikram Goyal
Modified: 2017-03-08 13 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-15 11:01:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vikram Goyal 2016-02-13 00:26:44 EST
In 3.2, admins can setup a global proxy definition that is automatically populated into buildconfigs.

Docs for this have been submitted upstream: https://github.com/openshift/openshift-docs/pull/1563

Make sure the docs explain the rationale for this feature and correct steps are identified for setting the global build config.

Trello Card:
https://trello.com/c/aYry4Mpg/842-5-global-proxy-configuration

Dev for this feature is:
Cesar Wong

QA for this feature is:
Bo Meng

Likely Guide is:
https://docs.openshift.com/enterprise/3.1/admin_guide/index.html or the Dev Guide? https://docs.openshift.com/enterprise/3.1/dev_guide/builds.html
Comment 2 Alex Dellapenta 2016-03-18 16:20:46 EDT
Follow-up PR (pinged/labeled for tech and peer review):

https://github.com/openshift/openshift-docs/pull/1766

For QE review:

http://file.rdu.redhat.com/~adellape/031816/globalproxy/install_config/build_defaults_overrides.html
Comment 3 openshift-github-bot 2016-03-22 17:02:45 EDT
Commit pushed to master at https://github.com/openshift/openshift-docs

https://github.com/openshift/openshift-docs/commit/d91989bfd44e65777d9f33f0ec80f3eae270096a
Merge pull request #1766 from adellape/globalproxy

Bug 1307212: Follow-up to BuildDefaults/BuildOverrides (PR#1563)
Comment 4 Alex Dellapenta 2016-03-23 22:58:25 EDT
Commit is merged and ready for QE:

http://file.rdu.redhat.com/~adellape/031816/globalproxy/install_config/build_defaults_overrides.html
Comment 6 Alex Dellapenta 2016-03-24 09:13:17 EDT
Thanks! Moving to RELEASE_PENDING.

Note You need to log in before you can comment on or make changes to this bug.